OGRE: Ogre::SceneManagerFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::SceneManagerFactory Class Referenceabstract
Core | Component » Scene

Class which will create instances of a given SceneManager. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManagerFactory:
[legend]

## Public Member Functions
| SceneManagerFactory ()
virtual | ~SceneManagerFactory ()
virtual SceneManager * | createInstance (const String &instanceName, size_t numWorkerThreads)=0
| Create a new instance of a SceneManager. More...
virtual void | destroyInstance (SceneManager *instance)=0
| Destroy an instance of a SceneManager. More...
virtual const SceneManagerMetaData & | getMetaData (void) const
| Get information about the SceneManager type created by this factory. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

Class which will create instances of a given SceneManager.

## Constructor & Destructor Documentation

## ◆ SceneManagerFactory()

Ogre::SceneManagerFactory::SceneManagerFactory | ( |  | ) |
| inline

## ◆ ~SceneManagerFactory()

virtual Ogre::SceneManagerFactory::~SceneManagerFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createInstance()

virtual SceneManager* Ogre::SceneManagerFactory::createInstance | ( | const String & | instanceName,
|  | size_t | numWorkerThreads
| ) |  |
| pure virtual

Create a new instance of a SceneManager.

Remarks
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implemented in Ogre::DefaultSceneManagerFactory.

## ◆ destroyInstance()

virtual void Ogre::SceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) |
| pure virtual

Destroy an instance of a SceneManager.

Implemented in Ogre::DefaultSceneManagerFactory.

## ◆ getMetaData()

virtual const SceneManagerMetaData& Ogre::SceneManagerFactory::getMetaData | ( | void |  | ) | const
| inlinevirtual

Get information about the SceneManager type created by this factory.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreSceneManager.h